%define upstream_name    XML-XML2JSON
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Convert XML into JSON (and back again) using XML::LibXML
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(ExtUtils::MakeMaker)
# Testsuite fails w/o: JSON::Parse:
BuildRequires: perl(JSON::Parse)
BuildRequires: perl(JSON::Syck)
BuildRequires: perl(JSON::DWIW)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Test::More)
BuildRequires: perl(XML::LibXML) >= 1.590.0
BuildArch: noarch

%description
I used Google for inspiration: http://code.google.com/apis/gdata/json.html

In short:

* * The response is represented as a JSON object; each nested element or
  attribute is represented as a name/value property of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.60.0-5.mga9
+ Revision: 1812709
- Mageia 9 Mass Rebuild

* Wed May 27 2020 umeabot <umeabot> 0.60.0-4.mga8
+ Revision: 1588171
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.60.0-3.mga7
+ Revision: 1300192
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild
+ tv <tv>
- versionnate BR

* Thu Jan 18 2018 tv <tv> 0.60.0-1.mga7
+ Revision: 1194384
- BR perl(JSON::Parse) for testsuite
- BR perl(JSON::XS) && JSON::Syck
- BR perl(inc::Module::Install)
- imported package perl-XML-XML2JSON


* Thu Jan 18 2018 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
